<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-4">
    <a class="navbar-brand" href="#">Cibertec</a>
    <button class="navbar-toggler" 
            type="button" 
            data-toggle="collapse" 
            data-target="#navbarNav" 
            aria-controls="navbarNav" 
            aria-expanded="false" 
            aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        
        <li class="nav-item " *ngIf="!isLogged">
            <a class="nav-link"  routerLink="/login"><i class="fas fa-sign-in-alt"></i> Iniciar Sesión</a>
        </li>
        <li class="nav-item" *ngIf="isLogged" (click)="onLogOut()">
            <a class="nav-link" style="cursor: pointer;"><i class="fas fa-door-open" ></i> Cerrar Sesión</a>
        </li>


        <li class="nav-item dropdown" *ngIf="isLogged">
          <a
            class="nav-link dropdown-toggle"
            href="#"
            id="navbarDropdown"
            role="button"
            data-toggle="dropdown"
            aria-expanded="false"
          >
            Registros (PC01) 
          </a>

          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
               <a *ngFor="let item of opcRegistro"  routerLink="/{{ item.ruta }}" class="dropdown-item"  >
                        {{ item.nombre }} 
                </a>
          </div>
        </li>


        <li class="nav-item dropdown" *ngIf="isLogged">
          <a
            class="nav-link dropdown-toggle"
            href="#"
            id="navbarDropdown"
            role="button"
            data-toggle="dropdown"
            aria-expanded="false"
          >
            CRUD (PC02) 
          </a>

          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
               <a *ngFor="let item of opcCRUD"  routerLink="/{{ item.ruta }}" class="dropdown-item"  >
                        {{ item.nombre }} 
                </a>
          </div>
        </li>
       

        <li class="nav-item dropdown" *ngIf="isLogged">
          <a
            class="nav-link dropdown-toggle"
            href="#"
            id="navbarDropdown"
            role="button"
            data-toggle="dropdown"
            aria-expanded="false"
          >
            Consultas (PC03) 
          </a>

          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
               <a *ngFor="let item of opcConsulta"  routerLink="/{{ item.ruta }}" class="dropdown-item"  >
                        {{ item.nombre }} 
                </a>
          </div>
        </li>

      <li class="nav-item dropdown" *ngIf="isLogged">
        <a
          class="nav-link dropdown-toggle"
          href="#"
          id="navbarDropdown"
          role="button"
          data-toggle="dropdown"
          aria-expanded="false"
        >
          Transacciones (AP) 
        </a>

        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
             <a *ngFor="let item of opcTransacciones"  routerLink="/{{ item.ruta }}" class="dropdown-item"  >
                      {{ item.nombre }} 
              </a>
        </div>
      </li>
     
    </ul>


    </div>
  </nav>
